# Copyright (c) 2020-2021 Dimitrios-Georgios Akestoridis
#
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject to
# the following conditions:
#
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
# CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
# TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

"""
Metadata module for the ``mcdm`` package.
"""

__title__ = "mcdm"
__author__ = "Dimitrios-Georgios Akestoridis"
__author_email__ = "akestoridis@gmail.com"
__description__ = (
    "Python implementation of multiple-criteria decision-making algorithms"
)
__license__ = "MIT"
__copyright__ = "Copyright (c) 2020-2021 Dimitrios-Georgios Akestoridis"
__url__ = "https://github.com/akestoridis/mcdm"
__keywords__ = [
    "multiple-criteria decision-making",
    "evaluation",
    "ranking",
    "scoring",
    "weighting",
    "correlation",
    "normalization",
]
__classifiers__ = [
    "Intended Audience :: Science/Research",
    "License :: OSI Approved :: MIT License",
    "Operating System :: MacOS",
    "Operating System :: Microsoft :: Windows",
    "Operating System :: POSIX :: Linux",
    "Programming Language :: Python :: 3.7",
    "Programming Language :: Python :: 3.8",
    "Programming Language :: Python :: 3.9",
    "Programming Language :: Python :: 3.10",
]
__install_requires__ = [
    "numpy>=1.21.3, <2",
]
__python_requires__ = ">=3.7, <4"
